Search documentation of wx

# wxLogNull (wx v2.5.2)

View Source

This class allows you to temporarily suspend logging.

All calls to the log functions during the life time of an object of this class are just ignored.

In particular, it can be used to suppress the log messages given by wxWidgets itself but it should be noted that it is rarely the best way to cope with this problem as `all` log messages are suppressed, even if they indicate a completely different error than the one the programmer wanted to suppress.

For instance, the example of the overview:

would be better written as:

wxWidgets docs: wxLogNull

# Summary

## Types

wxLogNull()

## Functions

destroy(This)

Destroys the object

new()

Suspends logging.

# Types

# wxLogNull()

    -type wxLogNull() :: wx:wx_object().

# Functions

# destroy(This)

    -spec destroy(This :: wxLogNull()) -> ok.

Destroys the object

# new()

    -spec new() -> wxLogNull().

Suspends logging.